<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>CppPanelView xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../apidocs/org/eclipse/papyrus/designer/languages/cpp/view/CppPanelView.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/*******************************************************************************</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * Copyright (c) 2006 - 2007 CEA LIST.</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> * are made available under the terms of the Eclipse Public License v1.0</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * which accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment"> * Contributors:</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_javadoccomment"> *     CEA LIST - initial API and implementation</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <em class="jxr_javadoccomment"> *******************************************************************************/</em>
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.languages.cpp.view;
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EObject;
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <strong class="jxr_keyword">import</strong> org.eclipse.jface.viewers.ISelection;
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <strong class="jxr_keyword">import</strong> org.eclipse.jface.viewers.IStructuredSelection;
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.view.panels.CppAbstractPanel;
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.infra.emf.utils.EMFHelper;
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <strong class="jxr_keyword">import</strong> org.eclipse.swt.widgets.Composite;
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <strong class="jxr_keyword">import</strong> org.eclipse.ui.IWorkbenchPart;
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.Element;
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <em class="jxr_javadoccomment"> * This class extends &lt;code&gt;ViewPart&lt;/code&gt;. This class draws the Accord/Cpp</em>
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  <em class="jxr_javadoccomment"> * panel in the Modeling Perspective. It also implements &lt;code&gt;ISelectionListener&lt;/code&gt; in order to know which element is selected</em>
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  <em class="jxr_javadoccomment"> * in the workbench. In fact, the content of the view changes depending on the</em>
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  <em class="jxr_javadoccomment"> * type of the element selected</em>
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  <em class="jxr_javadoccomment"> * @deprecated This view will be replaced by an XWT view for the C++ profile</em>
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  @Deprecated
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/CppPanelView.html">CppPanelView</a> <strong class="jxr_keyword">extends</strong> <a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/AbstractCppPanelView.html">AbstractCppPanelView</a> {
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  <em class="jxr_javadoccomment">	 * Creates the new panel, when switching UI.</em>
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  <em class="jxr_javadoccomment">	 * &lt;p&gt;</em>
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  <em class="jxr_javadoccomment">	 * This class should be overloaded when working with RSA or other tools, using a new PanelFactory</em>
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  <em class="jxr_javadoccomment">	 * @param parent</em>
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  <em class="jxr_javadoccomment">	 *            the parent of the new panel</em>
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  <em class="jxr_javadoccomment">	 * @param style</em>
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  <em class="jxr_javadoccomment">	 *            the SWT style of this panel</em>
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  <em class="jxr_javadoccomment">	 * @param element</em>
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  <em class="jxr_javadoccomment">	 *            the element for which the panel is created</em>
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  <em class="jxr_javadoccomment">	 * @return the newly created panel</em>
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  	@Override
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  	<strong class="jxr_keyword">protected</strong> <a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html">CppAbstractPanel</a> createPanel(Composite parent, <strong class="jxr_keyword">int</strong> style,
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  			Element element) {
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  		<strong class="jxr_keyword">return</strong> org.eclipse.papyrus.designer.languages.cpp.view.panels.PanelFactory.eINSTANCE
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  				.createPanel(parent, 0, currentTarget);
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  	}
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  	<em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  <em class="jxr_comment">	 * (non-Javadoc)</em>
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  <em class="jxr_comment">	 *</em>
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  <em class="jxr_comment">	 * @see org.eclipse.ui.ISelectionListener#selectionChanged(org.eclipse.ui.IWorkbenchPart,</em>
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  <em class="jxr_comment">	 * org.eclipse.jface.viewers.ISelection)</em>
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  <em class="jxr_comment">	 */</em>
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  	@Override
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> selectionChanged(IWorkbenchPart part, ISelection selection) {
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  		IStructuredSelection sSelection = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  		<strong class="jxr_keyword">if</strong> (selection instanceof IStructuredSelection) {
<a class="jxr_linenumber" name="L65" href="#L65">65</a>  			sSelection = (IStructuredSelection) selection;
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  		}
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  		<em class="jxr_comment">// exclude case of an empty selection which is not a Tree selection, since changing views provokes an</em>
<a class="jxr_linenumber" name="L69" href="#L69">69</a>  		<em class="jxr_comment">// empty selection (selection gets lost, although same element remains selected)</em>
<a class="jxr_linenumber" name="L70" href="#L70">70</a>  		<strong class="jxr_keyword">if</strong> ((selection != <strong class="jxr_keyword">null</strong>) &amp;&amp; (sSelection != <strong class="jxr_keyword">null</strong>) &amp;&amp; sSelection.isEmpty()) {
<a class="jxr_linenumber" name="L71" href="#L71">71</a>  			<strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  		}
<a class="jxr_linenumber" name="L73" href="#L73">73</a>  
<a class="jxr_linenumber" name="L74" href="#L74">74</a>  		<em class="jxr_comment">// No available selection: switch to default panel</em>
<a class="jxr_linenumber" name="L75" href="#L75">75</a>  		<strong class="jxr_keyword">if</strong> ((sSelection == <strong class="jxr_keyword">null</strong>) || (sSelection.size() != 1)) {
<a class="jxr_linenumber" name="L76" href="#L76">76</a>  			currentTarget = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L77" href="#L77">77</a>  			switchUI();
<a class="jxr_linenumber" name="L78" href="#L78">78</a>  			<strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L79" href="#L79">79</a>  		}
<a class="jxr_linenumber" name="L80" href="#L80">80</a>  
<a class="jxr_linenumber" name="L81" href="#L81">81</a>  		<em class="jxr_comment">// Retrieve selected object</em>
<a class="jxr_linenumber" name="L82" href="#L82">82</a>  		EObject currentObject = EMFHelper.getEObject(sSelection.getFirstElement());
<a class="jxr_linenumber" name="L83" href="#L83">83</a>  
<a class="jxr_linenumber" name="L84" href="#L84">84</a>  		<strong class="jxr_keyword">if</strong> (currentObject instanceof Element) {
<a class="jxr_linenumber" name="L85" href="#L85">85</a>  			<strong class="jxr_keyword">if</strong> (currentTarget != currentObject) {
<a class="jxr_linenumber" name="L86" href="#L86">86</a>  				currentTarget = currentObject;
<a class="jxr_linenumber" name="L87" href="#L87">87</a>  				switchUI();
<a class="jxr_linenumber" name="L88" href="#L88">88</a>  			}
<a class="jxr_linenumber" name="L89" href="#L89">89</a>  		}
<a class="jxr_linenumber" name="L90" href="#L90">90</a>  	}
<a class="jxr_linenumber" name="L91" href="#L91">91</a>  }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
